## org.w3c.tools.sexpr
Class SimpleReadtable

    java.lang.Object
      |
      +--org.w3c.tools.sexpr.SimpleReadtable

public class SimpleReadtable
extends java.lang.Object
implements Readtable

Basic implementation of the Readtable interface, a dispatch table.

Constructor Summary
`SimpleReadtable()` Initializes an empty dispatch table (no associations).
`SimpleReadtable(SimpleReadtable table)` Copy constructor.

Method Summary
`SExprParser` `addParser(char key, SExprParser parser)` Associate a parser with the key dispatch character.
`SExprParser` `getParser(char key)` Find the parser associated with the key dispatch character.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleReadtable

    public SimpleReadtable()

  Initializes an empty dispatch table (no associations).

### SimpleReadtable

    public SimpleReadtable(SimpleReadtable table)

  Copy constructor.

Method Detail

### getParser

    public SExprParser getParser(char key)

  Description copied from interface: Readtable
  Find the parser associated with the key dispatch character.
  Specified by:
    getParser in interface Readtable

### addParser

    public SExprParser addParser(char key,
                                 SExprParser parser)

  Description copied from interface: Readtable
  Associate a parser with the key dispatch character.
  Specified by:
    addParser in interface Readtable